%define tar_version 0.12.17
%define i18n_version 0.12.17

Name: k3b
Version: 0.12.17
Release: 3%{?dist}
Epoch: 0
Summary: CD/DVD burning application for KDE

Group: Applications/Archiving
License: GPL
URL: http://www.k3b.org
Source0: http://dl.sf.net/k3b/k3b-%{tar_version}.tar.bz2
Source1: http://dl.sf.net/k3b/k3b-i18n-%{i18n_version}.tar.bz2
Source2: k3brc
Patch1: k3b-0.11.3-kde32.patch
Patch2: k3b-0.11.6-desktopfile.patch
Patch3: k3b-scsi.patch
Patch5: k3b-0.11.14-version.patch
Patch6: k3b-0.11.14-suid.patch
Patch7: k3b-0.11.17-dao.patch
Patch8: k3b-0.12.2-statfs.patch
Patch9: k3b-0.11.23-proxy.patch
Patch10: k3b-0.12.14-norootwarning.patch
Patch11: k3b-0.12.8-docsym.patch
Patch99: k3b-0.12.2-compile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExcludeArch: s390 s390x

BuildRequires: kdelibs-devel >= 6:3.4, libart_lgpl-devel, arts-devel
BuildRequires: qt-devel >= 3.3.4
BuildRequires: zlib-devel, libpng-devel, libjpeg-devel
BuildRequires: libvorbis-devel, audiofile-devel, flac-devel
BuildRequires: desktop-file-utils
BuildRequires: autoconf, gettext, automake, intltool
BuildRequires: libmng-devel fam-devel glib2-devel alsa-lib-devel esound-devel
BuildRequires: libidn-devel libutempter-devel

Requires: cdrecord mkisofs dvd+rw-tools cdrdao
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n = %{epoch}:%{version}-%{release}

Prereq: /sbin/ldconfig

%description
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

%prep
%setup -q -a 1 -n %{name}-%{tar_version}
%patch3 -p1 -b .scsi-devices
%patch10 -p1 -b .norootwarning
%patch11 -p1 -b .docsym
%patch99 -p1 -b .docompile
pushd %{name}-i18n-%{i18n_version}
%patch99 -p1 -b .docompile
popd

# Make desktop icon file names compatible with GNOME.
sed -i 's,^Icon=k3b$,Icon=k3b.png,' src/k3b.desktop k3bsetup/k3bsetup2.desktop

%build
unset QTDIR
. /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib
aclocal
autoconf
%configure --with-k3bsetup=no --disable-rpath
make %{?_smp_mflags}

# Build for i18n tarball
pushd %{name}-i18n-%{i18n_version}
aclocal
autoconf
%configure
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install for i18n tarball
pushd %{name}-i18n-%{i18n_version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
%{__install} -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/config/k3brc


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Red-Hat-Base \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop

# Empty directories.
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk

# remove the .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/libk3b*.la

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section).
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/k3b.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/k3b.png

pushd $RPM_BUILD_ROOT%{_datadir}/doc/HTML
for i in *; do
	test -d $i && mkdir $i/common 2>/dev/null
done
popd

%find_lang %{name}
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice

cat k3bsetup.lang libk3b.lang libk3bdevice.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,755)
%doc AUTHORS README COPYING TODO INSTALL ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop

%{_datadir}/mimelnk/application/x-k3b.desktop

%{_includedir}/k3b*.h
%{_includedir}/kcutlabel.h

%{_libdir}/libk3b*.so.*
%{_libdir}/libk3b*.so

%{_libdir}/kde3/libk3b*.la
%{_libdir}/kde3/libk3b*.so

%{_datadir}/apps/k3b
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/config/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sounds/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%doc %{_docdir}/HTML/en/*

# files from i18n
%lang(da) %doc %{_docdir}/HTML/da/*
%lang(de) %doc %{_docdir}/HTML/de/*
%lang(en) %doc %{_docdir}/HTML/en/*
%lang(es) %doc %{_docdir}/HTML/es/*
%lang(et) %doc %{_docdir}/HTML/et/*
%lang(fr) %doc %{_docdir}/HTML/fr/*
%lang(it) %doc %{_docdir}/HTML/it/*
%lang(nl) %doc %{_docdir}/HTML/nl/*
%lang(pt) %doc %{_docdir}/HTML/pt/*
%lang(pt_BR) %doc %{_docdir}/HTML/pt_BR/*
%lang(ru) %doc %{_docdir}/HTML/ru/*
%lang(sv) %doc %{_docdir}/HTML/sv/*
%lang(pl) %doc %{_docdir}/HTML/pl/*
%lang(uk) %doc %{_docdir}/HTML/uk/*


%changelog
* Tue Jun 17 2008 Roman Rakus <rrakus@redhat.com> - 0:0.12.17-3
- Some cleanup in specfile
- Manual buffer size in k3brc
- Resolves #220481

* Thu Apr 24 2008 Roman Rakus <rrakus@redhat.com> - 0:0.12.17-2
- Use manual buffer size by default
- %{dist} changed to %{?dist}
- added BuildRequires - libutempter-devel
- Resolves: rhbz#220481, rhbz#440611

* Fri Jan 19 2007 Harald Hoyer <harald@redhat.com> - 0:0.12.17-1
- version 0.12.17
- Resolves: rhbz#220481

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.15-3.1.1
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.15-3.1
- rebuild

* Mon Jun 12 2006 Harald Hoyer <harald@redhat.com> - 0:0.12.15-3
- fixed symlinks

* Tue May 02 2006 Harald Hoyer <harald@redhat.com> 0:0.12.15-1
- version 0.12.15

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.10-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.10-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Harald Hoyer <harald@redhat.com> 0:0.12.10-2
- removed .la files (#172638)

* Tue Dec 20 2005 Harald Hoyer <harald@redhat.com> 0:0.12.10-1
- version 0.12.10

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Dec 06 2005 Harald Hoyer <harald@redhat.com> 0:0.12.8-1
- version 0.12.8

* Wed Sep 21 2005 Harald Hoyer <harald@redhat.com> 0:0.12.4-0.a.1
- version 0.12.4a

* Thu Jul 14 2005 Harald Hoyer <harald@redhat.com> 0:0.12.2-1
- version 0.12.2
- ported some patches

* Wed Jul 11 2005 Harald Hoyer <harald@redhat.com> 0:0.11.23-2
- added "dvd+rw-tools cdrdao" to Requires

* Thu Apr  7 2005 Petr Rockai <prockai@redhat.com> - 0:0.11.23-3
- fix statfs usage (as per issue 65935 from IT)

* Wed Mar 30 2005 Harald Hoyer <harald@redhat.com> 0:0.11.23-1
- update to 0.11.23

* Fri Mar 25 2005 David Hill <djh[at]ii.net> 0:0.11.22-1
- update to 0.11.22

* Tue Mar 08 2005 Than Ngo <than@redhat.com> 0:0.11.17-2
- rebuilt against gcc-4

* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.17-1
- version 0.11.17
- revert the dao -> tao change
- add the suid feature to every app automatically

* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-2
- fixed version string parsing, which fixes bug 134642

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-1
- added k3b-0.11.14-rdrw.patch for kernel >= 2.6.8
- update to 0.11.14

* Fri Jun 25 2004 Bill Nottingham <notting@redhat.com> 0:0.11.12-2
- update to 0.11.12

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 0:0.11.11-1
- update to 0.11.11
- add prereq:/sbin/ldconfig

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.10-1
- remove unnecesary [ -z "$QTDIR" ] check
- Update to 0.11.10 upstream 
- remove qt-devel BuildRequires, implied with kde-devel
- remove ldconfig Requires, implied
- remove i18n docbook patch, fixed upstream.

* Fri May 28 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-5
- fix burning on SCSI CD-ROMS (#122096)

* Thu May 13 2004 Than Ngo <than@redhat.com> 0.11.9-4
- get rid of rpath

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-3
- nuke k3bsetup
- use %%find_lang

* Thu Apr 15 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-2
- Clean up i18n build to make improve maintainability

* Wed Apr 7 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-1
- Update to 0.11.9 upstream
- Spec Cleanup for Fedora Core 2

* Wed Mar 18 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.6-1
- Initial packaging of 0.11.6 for Fedora Core 2
- remove mp3 plugin build options
- add i18n package
- clean up for kde 3.2/FC2 target


